Subject: [PATCH 0/5] dynamic detection of gianfar TPIPA

From: Paul Gortmaker <[email-masked]>
Date: Thu, 10 Apr 2008 13:51:57 -0400

This patch series consists of some minor cleanups that eventually
allow us to implement a dynamic assignment of the gianfar TBIPA.
This was the implementation that Andy and Scott indicated was
the most desireable solution at the bottom of this discussion:

http://patchwork.ozlabs.org/linuxppc-embedded/patch?id=12902

The lead up patches are as follows:

 -dont allocate a phydev for the "ghost" phy that seems to appear
  on ID 0x1f of all the MDIO bus scans.

 -add in the missing assignment to priv->mii_bus when we assign a
  phy to the device.

 -cleanup of unnecessary externs that the above change allows us.

 -make the mii_bus->priv point to struct gianfar_mdio_data

At this point, we can then actually use the phy_map of the mii_bus
to tell us which MDIO ID we can use for the TBIPA, instead of just
hard coding 0x1f.

Paul.